@import "~/assets/scss/ui/button";

.text-block {
	.button {
		margin: 30px 0px;
	}
}

.section--stream {
	&__video {
		position: relative;
		padding-bottom: 56.25%;
		/* 16:9 */
		height: 0;
		width: 100%;
		border-radius: 12px;
		overflow: hidden;

		margin: 40px auto;

		@include xs {
			margin: 30px auto;
		}

		iframe {
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
		}
	}

	&__title {
		font-weight: 900;
		font-size: 52px;
		line-height: (72 / 64);
		margin-left: -0.05em;
		@include rfonts(52, 48, 42, 30);
	}

	&__text {
		padding-right: 50px;

		@include lg {
			margin-bottom: 40px;
		}
	}


	&__speaker {
		&s {
			margin-bottom: 45px;
		}

		display: grid;
		grid-template-columns: 64px 1fr;
		grid-template-rows: repeat(3, auto);
		column-gap: 10px;
		margin-top: 25px;

		&__photo {
			border-radius: 50%;
			width: 64px;
			height: 64px;
			object-fit: cover;
			grid-row: 1 / 4;
		}

		&__name {
			font-weight: 600;
		}

		&__text {
			opacity: .7;
			font-size: 14px;
			margin-top: 2px;
		}

		&__socials {
			font-size: 0px;
			margin-top: 7px;

			a {
				display: inline-block;
				font-size: 14px;
				color: darken($primary, 8%);
				text-decoration: none;

				+a {
					margin-left: 12px;
				}
			}
		}
	}


	&__links {
		ul {
			li {
				list-style: none;
				margin-top: 16px;
				font-size: 15px;
				line-height: 1.5;

				a {
					color: darken($primary, 8%);
				}
			}
		}
	}


	&__sidebar {
		@include lg {
			display: grid;
			grid-template-columns: 1fr 1fr;
			column-gap: 30px;
		}

		@include md {
			display: block;
		}

		h2 {
			@include sm {
				font-size: 20px;
			}
		}
	}
}


@import "plyr/src/sass/plyr.scss";

.stream {
	&__video {
		box-shadow: 0px 20px 40px rgba(0, 0, 0, .08);
		border-radius: 12px;
		overflow: hidden;
		margin-bottom: 50px;

		video {
			width: 100%;
			display: block;
			margin: 0;
			border-radius: 12px;
		}

		&__loader {
			width: 60px;
			height: 60px;
			position: absolute;
			top: 50%;
			left: 50%;
			margin: -30px 0px 0px -30px;
			border-radius: 50%;
			border: 3px solid rgba($primary, .3);
			border-top-color: $primary;
			animation: spin 1s linear infinite;
		}

		&__controls {
			position: absolute;
			bottom: 0;
			left: 0;
			width: 100%;

			&__live {
				background-color: #dc0d0d;
				border-radius: 4px;
				text-transform: uppercase;
				color: white;
				font-weight: 700;
				letter-spacing: 0.1em;
				width: 60px;
				height: 26px;
				line-height: 26px;
				text-align: center;
				bottom: 24px;
				left: 24px;
				box-shadow: 0px 4px 4px rgba(0, 0, 0, .3);
			}

			&__time {
				position: absolute;
				left: 90px;
				font-size: 14px;
				font-weight: 500;
				color: white;
				border-radius: 4px;
				bottom: 24px;
				width: 70px;
				text-align: center;
				background-color: rgba(0, 0, 0, .7);
				height: 26px;
				line-height: 26px;
			}
		}

		&__overlay {
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			background-color: rgba(#333, .95);
			backdrop-filter: blur(16px);

			&__timer {
				text-align: center;
				position: absolute;
				top: 50%;
				left: 50%;
				width: 300px;
				height: 100px;
				margin: -50px 0px 0px -150px;
				color: white;
				div {
					font-size: 32px;
					margin-top: 10px;
					font-weight: 600;
				}
			}

			.button {
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
				@include xs {
					font-size: 12px;
					padding: 15px 20px;
				}
			}
		}
	}

	&__comments {
		height: 400px;
		overflow: auto;
		border: 1px solid #eee;
		border-radius: 8px 8px 0px 0px;
		padding: 20px 40px 40px 40px;
		margin-top: 10px;
		@include xs {
			padding: 10px 6vw 20px;
		}

		&--empty,
		&--blocked {
			display: flex;
			align-content: center;
			flex-direction: row;
			align-items: center;

			.stream__comments__item {
				display: none;
			}
		}

		&--blocked {
			margin-bottom: 50px;
			border-radius: 8px;

			~.stream__comments__field {
				display: none;
			}
		}


		&__empty {
			text-align: center;
			width: 400px;
			max-width: 90%;
			margin: 0 auto;
			&__title {
				font-weight: 600;
				font-size: 18px;
				margin: 10px 0px 5px;
				@include sm {
					font-size: 16px;
				}
			}
			&__text {
				line-height: 1.6;
				opacity: .5;
				@include sm {
					font-size: 14px;
				}
			}
			.emoji {
				font-size: 50px;
				@include sm {
					font-size: 32px;
				}
				img {
					width: 50px;
					height: auto;
					@include sm {
						width: 32px;
					}
				}
			}


			&__form {
				margin-top: 20px;
				display: flex;
				flex-direction: row;
				justify-content: center;
				@include sm {
					display: block;
				}
				input[type="text"] {
					height: 50px;
					padding: 12px 20px;
					font-size: 16px;
					appearance: none;
					border: 1px solid #ccc;
					border-radius: 4px 0px 0px 4px;
					border-right: 0px;
					outline: none;
					box-shadow: none;
					&:focus {
						border-color: $primary;
					}
					&:nth-of-type(1) {
						border-radius: 4px 4px 0px 0px;
					}
					&:nth-of-type(2) {
						border-radius: 0px;
					}
					@include sm {
						display: block;
						width: 100%;
						border-right: 1px solid #ccc;
						border-bottom: 0px;
					}
				}

				button {
					padding: 10px 30px;
					border-radius: 0px 4px 4px 0px;
					@include sm {
						display: block;
						width: 100%;
						border-radius: 0px 0px 4px 4px;
						padding: 15px 20px;
					}
				}
			}


		}


		&__field {
			border: 1px solid #eee;
			border-radius: 0px 0px 8px 8px;
			border-top: 0px;
			padding: 0px 40px;
			display: flex;
			flex-direction: row;
			justify-content: space-between;
			align-content: center;
			align-items: center;
			margin-bottom: 50px;
			@include xs {
				padding: 0px 6vw;
			}

			input[type="text"] {
				border: 0px;
				appearance: none;
				box-shadow: none;
				outline: none;
				font-size: 14px;
				display: block;
				width: 100%;
				padding: 24px 0px;
			}

			button {}
		}


		&__item {
			padding: 20px 0px 0px 50px;
			margin-top: 20px;
			border-top: 1px solid #eee;
			@include xs {
				padding-left: 40px;
			}
			&:nth-of-type(1) {
				margin-top: 0;
				border-top: 0;
			}
			&__avatar {
				width: 40px;
				height: 40px;
				border-radius: 50%;
				background-color: #eee;
				line-height: 40px;
				text-align: center;
				font-size: 16px;
				font-weight: 600;
				text-transform: uppercase;
				color: #999;
				position: absolute;
				left: 0;
				top: 20px;
				@include xs {
					width: 30px;
					height: 30px;
					line-height: 30px;
					font-size: 14px;
				}
			}
			&__name {
				font-size: 14px;
				font-weight: 600;
			}
			&__text {
				font-size: 14px;
				margin: 5px 0px 0px;
				line-height: 1.5;
			}
		}



		&__title {
			font-weight: 600;
		}

		&__subtitle {
			font-size: 14px;
			opacity: .7;
			line-height: 1.55;
			margin-top: 5px;
			margin-bottom: 15px;
		}
	}
}
